## Apache Zeta Components Manual :: Docs For Class ezcDocumentDokuwikiWiki

### Document::ezcDocumentDokuwikiWiki

### Class ezcDocumentDokuwikiWiki

Document handler for Dokuwiki wiki text documents.

Dokuwiki is a popular wiki system, for example used on wiki.php.net with a quite different syntax, and the most complete markup support, even including something like footnotes. The markup is documented at:

http://www.dokuwiki.org/dokuwiki

This document handler implements conversions for Crole wiki markup. The tokenizer, which differs for each wiki language, can be set directly, or you may use on of the other extended implementations for the specific sytaxes:

- ezcDocumentConfluenceWiki
- ezcDocumentCreoleWiki
- ezcDocumentDokuwikiWiki

Each wiki syntax has some sort of plugin mechanism, which allows you to handle the contents of a special formatted syntax element using custom classes or external applications. You can register a plugin for this, which then need to "parse" the element contents itself and may return random docbook markup.

The basic conversion of a wiki document into a docbook document, using the default creole tokenizer, looks like:

1. $document=new ezcDocumentDokuwikiWiki ();
2. $document-> loadString ('
3. = Example text =
5. Just some exaple paragraph with a heading, some **emphasis** markup and a
6. [[http://ezcomponents.org|link]].');
8. $docbook=$document-> getAsDocbook ();
9. echo$docbook-> save ();

A converter for the conversion from docbook back to dokuwiki wiki markup has not yet been implemented.

Source for this file: /Document/src/document/wiki/dokuwiki.php

    ezcDocument
       |
       --ezcDocumentWiki
          |
          --ezcDocumentDokuwikiWiki

Version: | //autogen//

### Inherited Member Variables

From ezcDocumentWiki
protected | `ezcDocumentWiki::$ast`
protected | `ezcDocumentWiki::$contents`
protected | `ezcDocumentWiki::$plugins`
From ezcDocument
protected | `ezcDocument::$errors`
protected | `ezcDocument::$options`
protected | `ezcDocument::$path`

### Method Summary

public void | `createFromDocbook( $document )` Create document from docbook document

### Inherited Methods

From ezcDocumentWiki
public void | `ezcDocumentWiki::createFromDocbook()` Create document from docbook document
public ezcDocumentDocbook | `ezcDocumentWiki::getAsDocbook()` Return document compiled to the docbook format
public string | `ezcDocumentWiki::getPluginHandler()` Get plugin handler
public void | `ezcDocumentWiki::loadString()` Create document from input string
public void | `ezcDocumentWiki::registerPlugin()` Register plugin handler
public string | `ezcDocumentWiki::save()` Return document as string
public mixed | `ezcDocumentWiki::validateFile()` Validate the input file
public mixed | `ezcDocumentWiki::validateString()` Validate the input string
From ezcDocument
public ezcDocument | `ezcDocument::__construct()` Construct new document
public abstract void | `ezcDocument::createFromDocbook()` Create document from docbook document
public abstract ezcDocumentDocbook | `ezcDocument::getAsDocbook()` Return document compiled to the docbook format
public array | `ezcDocument::getErrors()` Return list of errors occured during visiting the document.
public string | `ezcDocument::getPath()` Get document base path
public void | `ezcDocument::loadFile()` Create document from file
public abstract void | `ezcDocument::loadString()` Create document from input string
public abstract string | `ezcDocument::save()` Return document as string
public void | `ezcDocument::setPath()` Set document base path
public void | `ezcDocument::triggerError()` Trigger visitor error

### Methods

#### createFromDocbook

void createFromDocbook( ezcDocumentDocbook $document )

Create document from docbook document

A document of the docbook format is provided and the internal document structure should be created out of this.

This method is required for all formats to have one central format, so that each format can be compiled into each other format using docbook as an intermediate format.

You may of course just call an existing converter for this conversion.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$document` | ezcDocumentDocbook |

##### Redefinition of:

Method | Description
--- | ---
`ezcDocumentWiki::createFromDocbook()` | Create document from docbook document

Documentation generated by phpDocumentor 1.4.3